Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512824 - Error message correction in case of wrong CVE Location value on provider advance settings
Summary: Error message correction in case of wrong CVE Location value on provider adva...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Nimrod Shneor
QA Contact: juwatts
URL:
Whiteboard: containers
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 08:39 UTC by brahmani
Modified: 2019-03-08 14:51 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-08 14:51:01 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Description brahmani 2017-11-14 08:39:18 UTC
Description of problem:
In case of update CVE location with wrong value on provider advance settings.
Need to get error message "Unable to run OpenSCAP: Unable to retreive the CVE file: Could not download file ...." ,also for wrong URL that is reachable and returns some kind of 404-error-html-page .

PR https://github.com/openshift/image-inspector/pull/78 created by Erez to fix that on the image-inspector side.
Related to BZ 1459189

Version-Release number of selected component (if applicable):
5.9.0.8.20171109215303_ed87902

How reproducible:
Always

Steps to Reproduce:
1. see BZ 1459189 https://bugzilla.redhat.com/show_bug.cgi?id=1459189
2.
3.

Actual results:
Error of oscap trying to parse this html as the xccdf file.

Expected results:
"Unable to run OpenSCAP: Unable to retreive the CVE file: Could not download file ...."

Additional info:

Comment 2 Erez Freiberger 2017-12-04 10:52:34 UTC
The fix for this in in image-inspector:

https://github.com/openshift/image-inspector/pull/78
(and back port to 2.3 verison https://github.com/openshift/image-inspector/pull/79 )

We will have it fixed when a new version of image-inspector is released.

Comment 7 brahmani 2018-05-29 06:50:52 UTC
No way to verify, fix is on Image inspector new version that is not part of downstream CFME version.

Comment 9 juwatts 2019-02-13 16:05:30 UTC
Verified in 5.10.1.0.20190206171834_d399434

Set bad CVE location in advanced settings and started a SSA scan. Task finished with the following message:

Unable to run OpenSCAP: Unable to retreive the CVE file: Could not download file https://www.redhat.com/security/data/metrics/com.redhat.rhsa-RHEL7.ds.xml.bz2: <nil>


Note You need to log in before you can comment on or make changes to this bug.